Index: kaffe/kaffevm/systems/unix-jthreads/jthread.c
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/kaffevm/systems/unix-jthreads/jthread.c,v
retrieving revision 1.28
diff -u -r1.28 jthread.c
--- jthread.c	1998/12/02 22:58:40	1.28
+++ jthread.c	1998/12/03 15:13:13
@@ -1591,10 +1591,16 @@
 jthreadedFileDescriptor(int fd)
 {
 	int r, on = 1;
-	int pid = getpid();
+#if (defined(FIOSSAIOOWN) && !(defined(hpux) && defined(F_SETOWN))) || \
+    defined(F_SETOWN)
+	static int pid = -1;
+	
+	if (pid == -1)
+		pid = getpid();
 
 	if (fd == -1)
 		return (fd);
+#endif
 
 #if defined(F_SETFD)
 	/* set close-on-exec flag for this file descriptor */
